%define name      kiso
%define version   0.8.3
%define release   %mkrel 10

Name: 		  %{name}
Version: 	  %{version}
Release: 	  %{release}
Summary: 	  Graphical user interface for KDE to manage ISO and NRG images
Source:  	  http://prdownloads.sourceforge.net/kiso/%{name}-%{version}.tar.gz
URL: 		  http://kiso.sourceforge.net/
Patch0:		  libcdio.patch
Patch1:           kiso-0.8.3-desktop-file.patch
Patch2:           dirops.patch
Group: 		  Archiving/Other
License: 	  GPL
BuildRoot: 	  %_tmppath/%{name}-%{version}
BuildRequires:    kdelibs-devel 
BuildRequires:    libcdio-devel
BuildRequires:    desktop-file-utils

%description
KIso is a graphical user interface for KDE which has the purpose to make it 
as easy as possible to open ISO and NRG images, create an ISO image from CD,
easy and convenient creation of own ISO images, convert NRG to ISO images,
convert BIN/CUE to ISO images, mount ISO/NRG images as virtual drive,
extract the content of an ISO/NRG image, create bootable images.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%{version}
%patch1 -p0
%patch0 -p1 -b .libcdio
{
cd src
%patch2 -p0 -b .kiso-crash
}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
cp %buildroot%_datadir/icons/hicolor/32x32/apps/%{name}.png %buildroot/%_iconsdir
cp %buildroot%_datadir/icons/hicolor/16x16/apps/%{name}.png %buildroot/%_miconsdir

desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_datadir/applications/kde \
	%buildroot%_datadir/applnk/Utilities/%name.desktop

%find_lang %name --with-html

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL README
%_bindir/%name
%_datadir/applications/kde/%name.desktop
%_datadir/apps/%name

%_datadir/apps/konqueror/servicemenus/kiso_konqy.desktop

%_iconsdir/hicolor/*/*/*
%_datadir/mimelnk/application/*.desktop

%_iconsdir/%{name}.png
%_miconsdir/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.3-10mdv2009.0
+ Revision: 267787
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Apr 12 2008 Angelo Naselli <anaselli@mandriva.org> 0.8.3-9mdv2009.0
+ Revision: 192635
- fixied bug #36399 - kiso crash by opening an existing iso

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.3-8mdv2008.1
+ Revision: 170926
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 14 2007 Funda Wang <fundawang@mandriva.org> 0.8.3-7mdv2008.1
+ Revision: 98324
- fix desktop file (bug#347630)


* Sat Nov 04 2006 Angelo Naselli <anaselli@mandriva.org> 0.8.3-6mdv2007.0
+ Revision: 76601
- Import kiso

* Sat Jul 22 2006 Angelo Naselli <anaselli@mandriva.org> 0.8.3-6mdv2007.1
- Rebuild

* Sat Jul 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.3-5mdk
- Rebuild for new menu and extension

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.3-4
- Rebuild

* Sat Mar 18 2006 Angelo Naselli <anaselli@mandriva.org> 0.8.3-3mdk
- better patch to make it back-portable

* Sat Mar 18 2006 Angelo Naselli <anaselli@mandriva.org> 0.8.3-2mdk
- Rebuilt (new libcdio)
- added patch to manage changes in libcdio

* Fri Dec 30 2005 Angelo Naselli <anaselli@mandriva.org> 0.8.3-1mdk
- New release 0.8.3 (thanks to Vicent Olivert srpm)

* Fri Aug 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.2.1-1
- 0.8.2.1

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.2-2mdk
- Rebuild

* Tue Jul 12 2005 Angelo Naselli <anaselli@mandriva.org> 0.8.2-1mdk
- New release 0.8.2c
- removed obsolete patch

* Tue May 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-2
- 0.8.1
	* Replaced own treeview with KFileTreeView.
	* Added support for conversion of ccd/img (CloneCD) to iso. 
	* Improvements in the configure script. (Thanks to Laurent Montel)
	* Added support for Dual Layer DVDs.
	* Bugfixes.
	* Removed french and romanian translation because they were unmaintained.
	* Hungarian translation.

* Sun May 15 2005 Angelo Naselli <anaselli@mandriva.org> 0.8-2mdk
- Rebuilt for new libcdio

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8-1mdk
- 0.8.1mdk

* Tue Apr 26 2005 Giuseppe Ghib <ghibo@mandriva.com> 0.7-5mdk
- Fix for X86-64.

* Sat Apr 23 2005 Angelo Naselli <anaselli@mandriva.org> 0.7-4mdk
- rebuilt for new libcdio
- added a patch to solve libcdio api compatibility

* Thu Feb 03 2005 Angelo Naselli <anaselli@mandrake.org> 0.7-3mdk
- rebuilt for new libcdio

* Thu Dec 30 2004 Angelo Naselli <anaselli@mandrake.org> 0.7-2mdk
- rebuilt for new libcdio

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Sun Oct 31 2004 Angelo Naselli <anaselli@mandrake.org> 0.6-0.1mdk
- built mandrake version

